Security Enhanced Linux Reference Policy

# Layer: services

## Module: rhgb

Interfaces

### Description:

Red Hat Graphical Boot

### Interfaces:

rhgb_dontaudit_rw_stream_sockets( domain )

##### Summary

Do not audit attempts to read and write rhgb unix domain stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rhgb_dontaudit_use_ptys( domain )

##### Summary

dontaudit Read from and write to the rhgb devpts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_getpgid( domain )

##### Summary

Get the process group of rhgb.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_rw_shm( domain )

##### Summary

Read and write to rhgb shared memory.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rhgb_rw_stream_sockets( domain )

##### Summary

Read and write to unix stream sockets.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rhgb_rw_tmpfs_files( domain )

##### Summary

Read and write to rhgb temporary file system.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rhgb_signal( domain )

##### Summary

Send a signal to rhgb.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

rhgb_stream_connect( domain )

##### Summary

Connected to rhgb unix stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rhgb_stub( domain )

##### Summary

RHGB stub interface. No access allowed.

##### Parameters

Parameter: | Description:
--- | ---
domain | N/A

rhgb_use_fds( domain )

##### Summary

Use a rhgb file descriptor.

##### Parameters

Parameter: | Description:
--- | ---
domain | The type of the process performing this action.

rhgb_use_ptys( domain )

##### Summary

Read from and write to the rhgb devpts.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return